Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Manuel Giraud <[email-masked]>
Date: Sat, 02 Aug 2025 19:37:42 +0200

Eli Zaretskii <[email-masked]> writes:

[...]

> Thanks, a few minor comments below.
>
>> +---
>> +** New user option 'inhibit-overshoot-in-tty-motions'.
>
> I see no reason to make this a user option.  It should be a simple
> variable.  Also, I'd call it tty-cursor-movement-use-TAB-BS and set it
> to nil by default.

Ok.

>> +The display optimization where the combination TAB characters +
>> +BACKSPACE to move to a position on a TTY frame is now disabled by
>> +default and controlled by this user option.  This option can be set
>> +customized to nil to keep the old behavior.  This is to accomodate to
>> +some software such as screen readers.
>
> This is a somewhat incompatible change.  So this NEWS text should be
> in the "Incompatible changes" section.

Ok.

> I also think lisp/term/rxvt.el should force this variable to avoid
> TAB+BS, since rxvt is known to produce buggy behavior with that
> combination.

If tty-cursor-movement-use-TAB-BS is nil by default I think we're good,
no?

> Otherwise, this should be good to go.

Thanks.  I'd like to see some tests from Samuel.
-- 
Manuel Giraud